Skip to content

List Directory Files

beta.directories.files.list(strdirectory_id, FileListParams**kwargs) -> SyncPaginatedCursor[FileListResponse]
GET/api/v1/beta/directories/{directory_id}/files

List all files within the specified directory with optional filtering and pagination.

ParametersExpand Collapse
directory_id: str
display_name: Optional[str]
display_name_contains: Optional[str]
expand: Optional[SequenceNotStr[str]]

Fields to expand on each directory file.

file_id: Optional[str]
include_deleted: Optional[bool]
organization_id: Optional[str]
page_size: Optional[int]
page_token: Optional[str]
project_id: Optional[str]
unique_id: Optional[str]
updated_at_on_or_after: Optional[Union[str, datetime, null]]

Include items updated at or after this timestamp (inclusive)

formatdate-time
updated_at_on_or_before: Optional[Union[str, datetime, null]]

Include items updated at or before this timestamp (inclusive)

formatdate-time
ReturnsExpand Collapse
class FileListResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
download_url: Optional[PresignedURL]

Schema for a presigned URL.

expires_at: datetime

The time at which the presigned URL expires

formatdate-time
url: str

A presigned URL for IO operations against a private file

minLength1
formaturi
form_fields: Optional[Dict[str, str]]

Form fields for a presigned POST request

file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time

List Directory Files

import os
from llama_cloud import LlamaCloud

client = LlamaCloud(
    api_key=os.environ.get("LLAMA_CLOUD_API_KEY"),  # This is the default and can be omitted
)
page = client.beta.directories.files.list(
    directory_id="directory_id",
)
page = page.items[0]
print(page.id)
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}